1. We are planning scheduled maintenance on this website on Friday 5 March (tomorrow) at 4:00 am UTC. It is estimated that this maintenance will last 15 minutes. You can view this time in your local timezone here. Thanks.
    Dismiss Notice

[DEPRECATED, has been built in] Koth2BarAPI 1.2

This is a simple plugin I wrote so a running Koth would be displayed on the boss bar.

  1. SubSide
    AS OF KOTH 1.4.8 AND HIGHER THIS PLUGIN HAS BECOME UNNESSESARY!

    ONLY USE IF YOUR VERSION DOES NOT SUPPORT THE BUILT IN SPIGOT BAR API


    King of The Hill:
    https://www.spigotmc.org/resources/koth-king-of-the-hill.7689/

    This is a simple plugin I wrote for my KoTH plugin, which can be used to display a running KoTH on the boss bar.

    Both my KoTH plugin and the BossBarAPI are required for this to work.
    King of The Hill: https://www.spigotmc.org/resources/koth-king-of-the-hill.7689/
    BossBarAPI: https://www.spigotmc.org/resources/api-bossbarapi-1-7-1-8.7504/

    There is a config with a single line:
    message: "%area% has been capped by: %player%"

    (almost) all the %arguments% that my KoTH allows are available in here as well. as well as &colors.


    Source code is available here:
    https://github.com/SubSide/Koth2BossBarAPI

Recent Reviews

  1. PurrfectMistake_
    PurrfectMistake_
    1/5,
    Version: 1.1
    Looked through your code of the KOTH plugin and this, turns out you deleted the adapter package (which i'm assuming is your API, because it's not listed anywhere). And without it, this plugin is broken af.

    I hope you fix it soon, or at least list your API.
  2. l3st4tPlugins
    l3st4tPlugins
    5/5,
    Version: 1.1
    Stupid people that can't read the description and they rate 1 star. Althrough I didn't purchase the KoTH plugin, this is a great addon.

    Suggestion: You could use the createBossBar method from the Bukkit class for 1.9/1.10.
    1. SubSide
      Author's Response
      Haha, thanks :P
      And that is a good idea, I might update it to the createBossBar on a later date ;3
  3. Deathworld
    Deathworld
    1/5,
    Version: 1.0.1
    I set 1 star because it don't working.... :(
    Can I send to you the errors please ? I need the plugin ;3
    1. SubSide
      Author's Response
      Yeah, you can send me the error report? Did you actually purchase the KoTH plugin in the first place?
  4. Korengenv1
    Korengenv1
    1/5,
    Version: 1.0.1?
    Doesn't even make a fucking config...
    1. SubSide
      Author's Response
  5. xBRENDYHD
    xBRENDYHD
    3/5,
    Version: 1.0.1?
    why not just run this in the pl instead of needing multiple pls for it?
    1. SubSide
      Author's Response
      Because I'd rather have addons like this be optional than built in, beside that it was a good way to showcase what my plugin API is capable of ;)